最新的Composer安装thinkphp5.1教程,附解决composer提示The openssl extension is required for SSL/TLS protection方法

来源:csdn博客 分类: 文章浏览史 发布时间:2020-11-27 13:55:50 最后更新:2020-11-27 浏览:22
转载声明:
本文为摘录自“csdn博客”,版权归原作者所有。
温馨提示:
为了更好的体验,请点击原文链接进行浏览
摘录时间:
2020-11-27 13:55:50
Composer安装tp5.1教程
1.下载composer

进入http://www.phpcomposer.com/  在首页那一横排点击——下载


选择最新的下载就可以了,如1.6.5版本


备注(最好下载到简单的路径中如下图所示那么这个文件夹路径就是E:\cs)


下载好之后如图所示

至此我们的第一阶段已经完成,再接再厉

2.测试composer可用性
下载之后我们他并不需要安装,得到这个文件就可以了,直接就可以用了,接下俩我们测试可用性
这个文件使用起来比较麻烦我们不能直接执行他,必须通过php去执行他而且必须通过命令行中的PHP去执行他,所以测试可用性我们分成几个步骤来
首先找到php.exe文件的位置
我的电脑使用的是xampp集成包我的文件路径是D:\az\xampp\php\php.exe
至于你们的大同小异找到这个文件就行,这个路径必须要记下来因为我们要用
第二个步骤打开命令窗口,打开方式有很多种仅介绍最简单的
win+R然后输入cmd按回车如图
得到这个就是命令窗口


第三个步骤命令行切换到composer.phar文件所在的目录

(命令行中的所有命令必须用英文输入)

上面我们把composer.phar下载到了E:\cs这个文件中
所以首先先把命令好切换到E盘

命令行中输入指定的”盘+:”按回车如下图所示

然后通过cd命令跳转到指定的文件夹
只要在新的盘符下输入“cd cs”(中间必须有个空格)

如下图所示就到了我们下载composer.phar的文件夹E:\cs中了

这时候我们只要输入dir指令就可以看到我们的composer.phar文件了如图

第四个步骤输入指令
指令的格式
D:\az\xampp\php\php.exe composer.phar -V
(注意(D:\az\xampp\php\php.exe)+空格+composer.phar+空格-V(最后一个V必须是大写字母V)) -V指令是查找composer的版本
中间两个空格别忘了

如图所示如果出现下图所示的composer.phar的版本号和日期证明我们的文件就是可用的

到此我们的composer就安装好了,接下来就可以下载tp5了

3.下载tp5.1

使用中国的镜像去下载,在命令提示符中输入D:\az\xampp\php\php.exe composer.phar config -g repo.packagist composer https://packagist.phpcomposer.com

一定要注意空格如下图所示按回车之后虽然没有什么反应但是其实是成功了的


到这里已经完成额99%

再拼接一个命令

D:\az\xampp\php\php.exe composer.phar create-project topthink/think tp5 --prefer-dist

如图所示

点击回车之后

等10s左右,如图


就已经下载成功了这时候就可以在cs文件夹中看到一个tp5的文件夹了我们就可以拿去用了



解决composer提示The openssl extension is required for SSL/TLS protection...

查看自己配置环境下的PHP版本

http://localhost/phpinfo.php

如:

PHP Version 5.6.27

解决方法:在php.ini文件中打开php_openssl扩展 

extension=php_openssl.dll

用当前使用php版本文件下的php.exe执行composer








php技术微信